Index: src/sas/sasgui/guiframe/data_manager.py
===================================================================
--- src/sas/sasgui/guiframe/data_manager.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/data_manager.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -51,5 +51,5 @@
         _str += "No of states  is %s \n" % str(len(self.stored_data))
         n_count = 0
-        for  value in self.stored_data.values():
+        for value in self.stored_data.values():
             n_count += 1 
             _str += "State No %s \n"  % str(n_count)
@@ -134,5 +134,5 @@
         receive a list of 
         """
-        for id, data in data_list.iteritems():
+        for id, data in data_list.items():
             if id  in self.stored_data:
                 msg = "Data manager already stores %s" % str(data.name)
@@ -150,10 +150,10 @@
         """
         """
-        if prev_data.id not in self.stored_data.keys():
+        if prev_data.id not in self.stored_data:
             return None, {}
         data_state = self.stored_data[prev_data.id] 
         self.stored_data[new_data.id]  = data_state.clone()
         self.stored_data[new_data.id].data = new_data
-        if prev_data.id in self.stored_data.keys():
+        if prev_data.id in self.stored_data:
             del self.stored_data[prev_data.id] 
         return prev_data.id, {new_data.id: self.stored_data[new_data.id]}
@@ -165,5 +165,5 @@
         if data_id is None and theory is not None:
             uid = theory.id
-        if uid in self.stored_data.keys():
+        if uid in self.stored_data:
              data_state = self.stored_data[uid] 
         else:
@@ -195,5 +195,5 @@
                 if search_id == d_id:
                     _selected_data[search_id] = data
-                if search_id in theory_list.keys():
+                if search_id in theory_list:
                      _selected_theory_list[search_id] = theory_list[search_id]
                    
@@ -204,5 +204,5 @@
         """
         """
-        return self.freeze_theory(self.stored_data.keys(), theory_id)
+        return self.freeze_theory(list(self.stored_data.keys()), theory_id)
         
     def freeze_theory(self, data_id, theory_id):
@@ -215,5 +215,5 @@
                 theory_list = data_state.get_theory()
                 for t_id in theory_id:
-                    if t_id in theory_list.keys():
+                    if t_id in theory_list:
                         theory_data, theory_state = theory_list[t_id]
                         new_theory = copy.deepcopy(theory_data)
@@ -235,5 +235,5 @@
         """
         for d_id in data_id:
-            if d_id in self.stored_data.keys():
+            if d_id in self.stored_data:
                 data_state = self.stored_data[d_id]
                 if data_state.data.name in self.data_name_dict:
@@ -253,5 +253,5 @@
                 data_state = self.stored_data[d_id]
                 theory_list = data_state.get_theory()
-                if theory_id in theory_list.keys():
+                if theory_id in theory_list:
                     del theory_list[theory_id]
         #del pure theory
@@ -273,5 +273,5 @@
         _selected_data = {}
         for selected_name in name_list:
-            for id, data_state in self.stored_data.iteritems():
+            for id, data_state in self.stored_data.items():
                 if data_state.data.name == selected_name:
                     _selected_data[id] = data_state.data
@@ -283,5 +283,5 @@
         """
         for selected_name in name_list:
-            for id, data_state in self.stored_data.iteritems():
+            for id, data_state in self.stored_data.items():
                 if data_state.data.name == selected_name:
                     del self.stored_data[id]
@@ -293,5 +293,5 @@
         _selected_data_state = {}
         for id in data_id:
-            if id in self.stored_data.keys():
+            if id in self.stored_data:
                 _selected_data_state[id] = self.stored_data[id]
         return _selected_data_state
@@ -303,4 +303,2 @@
         return self.stored_data
     
-
-        
